aboutsummaryrefslogtreecommitdiff
path: root/sh
diff options
context:
space:
mode:
Diffstat (limited to 'sh')
-rw-r--r--sh/profile.d/options.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/sh/profile.d/options.sh b/sh/profile.d/options.sh
index b4000e5d..aa7e9ace 100644
--- a/sh/profile.d/options.sh
+++ b/sh/profile.d/options.sh
@@ -10,7 +10,7 @@ options() (
[ -d "$dir" ] && exit
# Create the directory and step into it
- mkdir -p -- "$dir" || exit
+ command -p mkdir -p -- "$dir" || exit
cd -- "$dir" || exit
# Write the program's --help output to a file, even if it's empty
@@ -22,7 +22,7 @@ options() (
# Iterate through some useful options and create files to show they're
# available if found in the help output
for opt ; do
- grep -q -- '[^[:alnum:]]--'"$opt"'[^[:alnum:]]' help &&
+ command -p grep -q -- '[^[:alnum:]]--'"$opt"'[^[:alnum:]]' help &&
touch -- "$opt"
done
)